
import '@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log';
import { SyncDescriptor } from '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/descriptors';
import { OutputService } from './vscode/src/vs/workbench/contrib/output/browser/outputServices.js';
import { IOutputService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/services/output/common/output.service';
import getServiceOverride$1 from '@codingame/monaco-vscode-log-service-override';
import './vscode/src/vs/workbench/contrib/output/browser/output.contribution.js';

function getServiceOverride(logLevel) {
    return {
        ...getServiceOverride$1(logLevel),
        [IOutputService.toString()]: new SyncDescriptor(OutputService, [], true)
    };
}

export { getServiceOverride as default };
