import { IModelService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/model.service";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { ILanguageFeaturesService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/languageFeatures.service";
export declare class OutputLinkProvider extends Disposable {
    private readonly contextService;
    private readonly modelService;
    private readonly languageFeaturesService;
    private static readonly DISPOSE_WORKER_TIME;
    private worker?;
    private disposeWorkerScheduler;
    private linkProviderRegistration;
    constructor(contextService: IWorkspaceContextService, modelService: IModelService, languageFeaturesService: ILanguageFeaturesService);
    private registerListeners;
    private updateLinkProviderWorker;
    private getOrCreateWorker;
    private provideLinks;
    private disposeWorker;
}
